Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DisplayConnection Class Reference

## Public Member Functions
| __init__ (self, qcm, serverName, port, msgHandler)
| getSwapReady (self)
| poll (self)
| sendCamFrustum (self, focalLength, filmSize, filmOffset)
| sendCamOffset (self, xyz, hpr)
| sendCommandString (self, commandString)
| sendExit (self)
| sendMoveCam (self, xyz, hpr)
| sendMoveNamedObject (self, xyz, hpr, scale, color, hidden, name)
| sendMoveSelected (self, xyz, hpr, scale)
| sendNamedMovementDone (self)
| sendSwapNow (self)
| sendTimeData (self, frameCount, frameTime, dt)

## Public Attributes
| cw = ConnectionWriter(qcm, 0)
| msgHandler = msgHandler
| qcr = QueuedConnectionReader(qcm, 0)
| tcpConn

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | qcm,
|  |  | serverName,
|  |  | port,
|  |  | msgHandler )

## Member Function Documentation

## ◆ getSwapReady()

getSwapReady | ( |  | self | ) |

## ◆ poll()

poll | ( |  | self | ) |

     Non blocking task to read all available datagrams

## ◆ sendCamFrustum()

sendCamFrustum | ( |  | self,
|  |  | focalLength,
|  |  | filmSize,
|  |  | filmOffset )

## ◆ sendCamOffset()

sendCamOffset | ( |  | self,
|  |  | xyz,
|  |  | hpr )

## ◆ sendCommandString()

sendCommandString | ( |  | self,
|  |  | commandString )

## ◆ sendExit()

sendExit | ( |  | self | ) |

## ◆ sendMoveCam()

sendMoveCam | ( |  | self,
|  |  | xyz,
|  |  | hpr )

## ◆ sendMoveNamedObject()

sendMoveNamedObject | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale,
|  |  | color,
|  |  | hidden,
|  |  | name )

## ◆ sendMoveSelected()

sendMoveSelected | ( |  | self,
|  |  | xyz,
|  |  | hpr,
|  |  | scale )

## ◆ sendNamedMovementDone()

sendNamedMovementDone | ( |  | self | ) |

## ◆ sendSwapNow()

sendSwapNow | ( |  | self | ) |

## ◆ sendTimeData()

sendTimeData | ( |  | self,
|  |  | frameCount,
|  |  | frameTime,
|  |  | dt )

## Member Data Documentation

## ◆ cw

cw = ConnectionWriter(qcm, 0)

## ◆ msgHandler

msgHandler = msgHandler

## ◆ qcr

qcr = QueuedConnectionReader(qcm, 0)

## ◆ tcpConn

tcpConn

Initial value:
= qcm.openTCPClientConnection(
serverName, port, gameServerTimeoutMs)